/**
 * Remove any starting case from a `string`, like camel or snake, but keep
 * spaces and punctuation that may be important otherwise.
 *
 * @param {String} string
 * @return {String}
 */
declare function toNoCase(string: string): string;
/**
 * Un-separate a `string`.
 *
 * @param {String} string
 * @return {String}
 */
declare function unseparate(string: string): string;
/**
 * Un-camelcase a `string`.
 *
 * @param {String} string
 * @return {String}
 */
declare function uncamelize(string: string): string;
declare function toSpaceCase(string: any): string;
declare function toSlugCase(string: any): string;
/**
 * @param {string} prefix vendor-specific prefix, eg: Webkit
 * @param {string} key style name, eg: transitionDuration
 * @return {string} style name prefixed with `prefix`, properly camelCased, eg:
 * WebkitTransitionDuration
 */
declare function prefixKey(prefix: string, key: string): string;
declare function toCSS(obj: any): string;
declare var hasSpace: RegExp;
declare var hasSeparator: RegExp;
declare var hasCamel: RegExp;
/**
 * Separator splitter.
 */
declare var separatorSplitter: RegExp;
/**
 * Camelcase splitter.
 */
declare var camelSplitter: RegExp;
declare namespace isUnitlessNumber {
    const animationIterationCount: boolean;
    const boxFlex: boolean;
    const boxFlexGroup: boolean;
    const boxOrdinalGroup: boolean;
    const columnCount: boolean;
    const flex: boolean;
    const flexGrow: boolean;
    const flexPositive: boolean;
    const flexShrink: boolean;
    const flexNegative: boolean;
    const flexOrder: boolean;
    const gridRow: boolean;
    const gridColumn: boolean;
    const fontWeight: boolean;
    const lineClamp: boolean;
    const lineHeight: boolean;
    const opacity: boolean;
    const order: boolean;
    const orphans: boolean;
    const tabSize: boolean;
    const widows: boolean;
    const zIndex: boolean;
    const zoom: boolean;
    const fillOpacity: boolean;
    const stopOpacity: boolean;
    const strokeDashoffset: boolean;
    const strokeOpacity: boolean;
    const strokeWidth: boolean;
}
/**
 * Support style names that may come passed in prefixed by adding permutations
 * of vendor prefixes.
 */
declare const prefixes: string[];
declare function dateFormat(format: any, num: any): any;
declare function discountHtml(values: any): string;
