import React, { Component } from "react";
var defaultScriptUrl = "//editor.unlayer.com/embed.js?2";
var callbacks = [];
var loaded = false;
var isScriptInjected = function isScriptInjected2(scriptUrl) {
  var scripts2 = document.querySelectorAll("script");
  var injected = false;
  scripts2.forEach(function(script) {
    if (script.src.includes(scriptUrl)) {
      injected = true;
    }
  });
  return injected;
};
var addCallback = function addCallback2(callback) {
  callbacks.push(callback);
};
var runCallbacks = function runCallbacks2() {
  if (loaded) {
    var callback = void 0;
    while (callback = callbacks.shift()) {
      callback();
    }
  }
};
var loadScript = function loadScript2(callback) {
  var scriptUrl = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : defaultScriptUrl;
  addCallback(callback);
  if (!isScriptInjected(scriptUrl)) {
    var embedScript = document.createElement("script");
    embedScript.setAttribute("src", scriptUrl);
    embedScript.onload = function() {
      loaded = true;
      runCallbacks();
    };
    document.head.appendChild(embedScript);
  } else {
    runCallbacks();
  }
};
const name = "react-email-editor";
const version = "1.6.0";
const description = "Unlayer's Email Editor Component for React.js";
const main = "lib/index.js";

const files = [
  "css",
  "es",
  "lib",
  "umd"
];
const scripts = {
  build: "nwb build-react-component",
  clean: "nwb clean-module && nwb clean-demo",
  start: "nwb serve-react-demo",
  test: "nwb test-react",
  "test:coverage": "nwb test-react --coverage",
  "test:watch": "nwb test-react --server",
  release: "npm run build && npm publish"
};
const dependencies = {};
const peerDependencies = {
  react: "15.x || 16.x || 17.x"
};
const devDependencies = {
  nwb: "^0.22.0",
  react: "^17.0.2",
  "react-dom": "^17.0.2",
  "react-router-dom": "^5.2.0",
  "styled-components": "^4.2.0"
};
const author = "";
const homepage = "https://github.com/unlayer/react-email-editor#readme";
const license = "MIT";
const repository = "https://github.com/unlayer/react-email-editor.git";
const keywords = [
  "react-component"
];
var pkg = {
  name,
  version,
  description,
  main,
  module,
  files,
  scripts,
  dependencies,
  peerDependencies,
  devDependencies,
  author,
  homepage,
  license,
  repository,
  keywords
};
var _extends = Object.assign || function(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i];
    for (var key in source) {
      if (Object.prototype.hasOwnProperty.call(source, key)) {
        target[key] = source[key];
      }
    }
  }
  return target;
};
function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}
function _possibleConstructorReturn(self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }
  return call && (typeof call === "object" || typeof call === "function") ? call : self;
}
function _inherits(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }
  subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } });
  if (superClass)
    Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
}
var lastEditorId = 0;
var _default = function(_Component) {
  _inherits(_default2, _Component);
  function _default2(props) {
    _classCallCheck(this, _default2);
    var _this = _possibleConstructorReturn(this, _Component.call(this, props));
    _this.loadEditor = function() {
      var options = _this.props.options || {};
      if (_this.props.projectId) {
        options.projectId = _this.props.projectId;
      }
      if (_this.props.tools) {
        options.tools = _this.props.tools;
      }
      if (_this.props.appearance) {
        options.appearance = _this.props.appearance;
      }
      if (_this.props.locale) {
        options.locale = _this.props.locale;
      }
      _this.editor = unlayer.createEditor(_extends({}, options, {
        id: _this.editorId,
        displayMode: "email",
        source: {
          name: pkg.name,
          version: pkg.version
        }
      }));
      for (var _iterator = Object.entries(_this.props), _isArray = Array.isArray(_iterator), _i = 0, _iterator = _isArray ? _iterator : _iterator[Symbol.iterator](); ; ) {
        var _ref2;
        if (_isArray) {
          if (_i >= _iterator.length)
            break;
          _ref2 = _iterator[_i++];
        } else {
          _i = _iterator.next();
          if (_i.done)
            break;
          _ref2 = _i.value;
        }
        var _ref = _ref2;
        var key = _ref[0];
        var value = _ref[1];
        if (/^on/.test(key) && key !== "onLoad" && key !== "onReady") {
          _this.addEventListener(key, value);
        }
      }
      var _this$props = _this.props, onLoad = _this$props.onLoad, onReady = _this$props.onReady;
      onLoad && onLoad();
      if (onReady)
        _this.editor.addEventListener("editor:ready", onReady);
    };
    _this.registerCallback = function(type, callback) {
      _this.editor.registerCallback(type, callback);
    };
    _this.addEventListener = function(type, callback) {
      _this.editor.addEventListener(type, callback);
    };
    _this.loadDesign = function(design) {
      _this.editor.loadDesign(design);
    };
    _this.saveDesign = function(callback) {
      _this.editor.saveDesign(callback);
    };
    _this.exportHtml = function(callback) {
      _this.editor.exportHtml(callback);
    };
    _this.setMergeTags = function(mergeTags) {
      _this.editor.setMergeTags(mergeTags);
    };
    _this.editorId = props.editorId || "editor-" + ++lastEditorId;
    return _this;
  }
  _default2.prototype.componentDidMount = function componentDidMount() {
    loadScript(this.loadEditor, this.props.scriptUrl);
  };
  _default2.prototype.render = function render() {
    var _props = this.props, _props$minHeight = _props.minHeight, minHeight = _props$minHeight === void 0 ? 500 : _props$minHeight, _props$style = _props.style, style = _props$style === void 0 ? {} : _props$style;
    return React.createElement("div", {
      style: {
        flex: 1,
        display: "flex",
        minHeight
      }
    }, React.createElement("div", { id: this.editorId, style: _extends({}, style, { flex: 1 }) }));
  };
  return _default2;
}(Component);
export { _default as _ };
//# sourceMappingURL=react-email-editor.js.map
