import { Design } from 'react-email-editor';
export declare type ParamType = {
    [props: string]: {
        value: string;
        name: string;
    };
} | null;
export interface EditorConfigType {
    userId?: string;
    /** 整体背景色 */
    theme?: 'dark' | 'light';
    /** 属性配置居左/居右 */
    dock?: 'right' | 'left';
}
export interface EmailEditorProps {
    APIKey?: string;
    /** 一些基础配置  */
    editorConfig?: EditorConfigType;
    /** 编辑器高度 必传 */
    height: string | number;
    /** token 需要发送请求 */
    quickToken: string;
    /** 用于请求商品集合接口 */
    getConnectionUrl?: string;
    /** 用于请求商品数据接口  */
    getProductUrl?: string;
    /** 用于请求商品不同类别数据接口 */
    getProductByTypeUrl?: string;
    /** 上传图片方法 */
    uploadImage: (data: File | Blob, done: any) => void;
    /** 更新编辑器回到 */
    updateDesign: (data: Design, html: string, errors?: any) => void;
    /** 系统变量 */
    systemParam: ParamType;
    /** 字体文件列表 */
    customFonts?: Array<{
        label: string;
        value: string;
        url: string;
    }>;
    /** 店铺所属平台 */
    platform?: string;
    /** 店铺链接地址 */
    storeLink?: string;
    /** 店铺时区 */
    timeZone?: string;
}
export interface EditorRef {
    exportHtml: (func: any) => void;
    saveDesign: (func: any, errorFunc: any) => void;
    exportImage: (func: any) => void;
    loadDesign: (data: Design) => void;
}
